PROGRAM LOAD_MEMORY;

TYPE
   Map         = Record
                  ScrCh : Char;
                  ScrAt : Byte;
                  End;
   Screen      = Array[1..25,1..80] of Map;
   AnyStr    = String[80];

VAR
    FilevarM   : File;
    CS         : Screen absolute $B800:0000;
    MS         : Screen absolute $B000:0000;
    LoadScr    : Screen;
    Filenm     : AnyStr;
    Color      : Boolean;
{======================================================================}
PROCEDURE CheckColor;
BEGIN
     If (Mem[0000:1040] and 48) <> 48
        then Color := True
        else Color := False;
END;

{======================================================================}
PROCEDURE MemoryLoad(MFile : AnyStr);
BEGIN
      Assign(FilevarM,MFile);
      {$I-} Reset(FilevarM,4000); {$I+}
      If IOresult = 0 then                        {found good file name}
        Begin
        BlockRead(FilevarM,LoadScr,1);
          If Color then CS := LoadScr
                   else MS := LoadScr;
          Close(FilevarM);
        End
      Else                                        {couldn't find file  }
        Begin
          GoToXY(1,24);
          Write('ERROR - Could not find file');
        End;
END; {MemoryLoad}

{======================================================================}
BEGIN {Main Routine}
  CheckColor;
  ClrScr;
  MemoryLoad('EXFILE.MEM');
  GoToXY(1,24);
END.
